Skip to main content
`Ctrl`+`K`

# FNCombineType

Determines how two functions are combined.

## Synopsis

    typedef enum { FN_COMBINE_ADD,
                   FN_COMBINE_MULTIPLY,
                   FN_COMBINE_DIVIDE,
                   FN_COMBINE_COMPOSE } FNCombineType;

## Values

- `FN_COMBINE_ADD` - add the functions

- `FN_COMBINE_MULTIPLY` - multiply the functions

- `FN_COMBINE_DIVIDE` - divide the functions

- `FN_COMBINE_COMPOSE` - use function composition

## See Also

FN: Mathematical Functions, `FNCombineSetChildren()`

## Level

intermediate

## Location

include/slepcfn.h

Index of all FN routines Table of Contents for all manual pages Index of all manual pages